<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<!--
/**
 * <copyright>
 * </copyright>
 *
 * $Id: plugin.xml,v 1.1 2005/03/08 17:30:53 mkamo Exp $
 */
-->

<plugin
    name = "Razgriz OPML Model Plug-in"
    id = "razgriz.news.model.opml"
    version = "0.0.6"
    provider-name = "KAMO Masahiko">

  <requires>
    <import plugin="org.eclipse.core.runtime" />
    <import plugin="org.eclipse.emf.ecore" export="true"/>
    <import plugin="org.eclipse.emf.ecore.xmi" export="true"/>
  </requires>

  <runtime>
    <library name="runtime/razgriz.news.model.opml.jar">
      <export name="*"/>
    </library>
  </runtime>

  <extension point="org.eclipse.emf.ecore.generated_package">
    <package 
       uri = "http:///razgriz/news/model/opml.ecore" 
       class = "razgriz.news.model.opml.OPMLPackage" />
  </extension>

  <extension point="org.eclipse.emf.ecore.extension_parser">
    <parser 
       type="opml" 
       class="razgriz.news.model.opml.util.DefaultOPMLResourceFactoryImpl" />
  </extension>

</plugin>

